> ## Documentation Index
> Fetch the complete documentation index at: https://developers.simplesell.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List parcels



## OpenAPI

````yaml /api/v1/openapi.yaml get /parcels
openapi: 3.0.0
info:
  title: SimpleSell API
  description: Welcome to the SimpleSell API.
  version: 1.0.0
servers:
  - url: https://api.simplesell.de/v1
security:
  - BearerAuth: []
paths:
  /parcels:
    get:
      tags:
        - Parcels
      summary: List parcels
      parameters:
        - in: query
          name: sort
          description: Sort parcels by the specified field.
          schema:
            type: string
            enum:
              - created_at
              - '-created_at'
              - processed_at
              - '-processed_at'
              - printed_at
              - '-printed_at'
              - cancelled_at
              - '-cancelled_at'
            default: '-created_at'
        - in: query
          name: filter[source]
          description: Filter parcels by `source`.
          schema:
            type: string
            enum:
              - integration
              - manual
              - api
        - in: query
          name: filter[created_since]
          description: >-
            Filter parcels by `created_at` greater than or equal to the
            specified timestamp.
          schema:
            type: string
            format: date-time
        - in: query
          name: filter[processed_since]
          description: >-
            Filter parcels by `processed_at` greater than or equal to the
            specified timestamp.
          schema:
            type: string
            format: date-time
        - in: query
          name: filter[printed_since]
          description: >-
            Filter parcels by `printed_at` greater than or equal to the
            specified timestamp.
          schema:
            type: string
            format: date-time
        - in: query
          name: filter[cancelled_since]
          description: >-
            Filter parcels by `cancelled_at` greater than or equal to the
            specified timestamp.
          schema:
            type: string
            format: date-time
        - in: query
          name: cursor
          description: Cursor for pagination.
          schema:
            type: string
      responses:
        '200':
          description: A collection of parcels.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Parcel'
                  links:
                    type: object
                    properties:
                      next:
                        type: string
                        format: uri
                        nullable: true
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    Parcel:
      type: object
      properties:
        id:
          type: string
          format: uuid
        source:
          type: string
        reference_code:
          type: string
        created_at:
          type: string
          format: date-time
        processed_at:
          type: string
          format: date-time
          nullable: true
        printed_at:
          type: string
          format: date-time
          nullable: true
        cancelled_at:
          type: string
          format: date-time
          nullable: true
        cancellable_until:
          type: string
          format: date-time
          nullable: true
        receiver:
          type: object
          nullable: true
          properties:
            name:
              type: string
              nullable: true
            company:
              type: string
              nullable: true
            address_line_1:
              type: string
              nullable: true
            house_number:
              type: string
              nullable: true
            address_line_2:
              type: string
              nullable: true
            postal_code:
              type: string
              nullable: true
            city:
              type: string
              nullable: true
            state_or_region:
              type: string
              nullable: true
            country:
              type: string
              nullable: true
              description: ISO 3166-1 alpha-2 country code.
            email:
              type: string
              format: email
              nullable: true
            phone:
              type: string
              nullable: true
        number_of_labels:
          type: integer
        weight:
          type: string
          nullable: true
          description: Weight in kilograms.
        packaging:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
        dimensions:
          type: object
          nullable: true
          properties:
            length:
              type: string
              description: Length in centimeters.
            width:
              type: string
              description: Width in centimeters.
            height:
              type: string
              description: Height in centimeters.
        reference:
          type: string
          nullable: true
        shipping_method:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
        integration_account:
          type: object
          nullable: true
          properties:
            name:
              type: string
        order_number:
          type: string
          nullable: true
        order_date:
          type: string
          format: date-time
        ship_by:
          type: string
          format: date-time
          nullable: true
        deliver_by:
          type: string
          format: date-time
          nullable: true
        currency:
          type: string
          description: ISO 4217 currency code.
        order_total_price:
          type: string
          nullable: true
        order_shipping_price:
          type: string
          nullable: true
        shipping_request:
          type: string
          nullable: true
        export_reason:
          type: string
        tags:
          type: array
          items:
            type: string
        note:
          type: string
          nullable: true
        items:
          type: array
          items:
            type: object
            properties:
              sku:
                type: string
                nullable: true
              quantity:
                type: integer
              name:
                type: string
                nullable: true
              weight:
                type: string
                nullable: true
                description: Weight in kilograms.
              price:
                type: string
                nullable: true
              storage_location:
                type: string
                nullable: true
              description:
                type: string
                nullable: true
              origin_country:
                type: string
                nullable: true
                description: ISO 3166-1 alpha-2 country code.
              hs_code:
                type: string
                nullable: true
              note:
                type: string
                nullable: true
        labels:
          type: array
          items:
            type: object
            properties:
              number:
                type: integer
              tracking_number:
                type: string
                nullable: true
              tracking_url:
                type: string
                format: uri
                nullable: true
              return_tracking_number:
                type: string
                nullable: true
        documents:
          type: object
          properties:
            labels:
              type: string
              format: uri
              description: Available once the parcel is printed, unless cancelled.
            customs_declaration:
              type: string
              format: uri
              description: >-
                Available once the parcel is printed, unless cancelled. Only for
                parcels subject to customs.
        processing_errors:
          type: array
          description: >-
            Errors of the last failed processing attempt. Empty once the parcel
            is processed.
          items:
            type: string
  responses:
    BadRequest:
      description: Request is invalid.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    Unauthorized:
      description: Authentication is required.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    PaymentRequired:
      description: Account requires a subscription or plan upgrade.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    Forbidden:
      description: Access to this resource is not permitted.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    TooManyRequests:
      description: Request rate limit has been exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Your SimpleSell API token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.